## gdal 1.10.1+dfsg

=== bridge/Makefile ===

bridge_test:	bridge_test.cpp gbgetsymbol.cpp gdalbridge.cpp
	$(CXX) -Wall -g bridge_test.cpp gbgetsymbol.cpp gdalbridge.cpp -ldl \
		-o bridge_test

clean:
	rm *.o bridge_test

=== debian/changelog ===
gdal (1.10.1+dfsg-8) unstable; urgency=medium

  * Support hdf5 1.8.13 new packaging layout.
    Thanks to Gilles Filippini for the patch.
    (closes: #756662)

 -- Bas Couwenberg <sebastic@xs4all.nl>  Fri, 01 Aug 2014 00:02:15 +0200

gdal (1.10.1+dfsg-7) unstable; urgency=medium

  * Also use autotools_dev to update config.sub and config.guess.
    Thanks to Breno Leitao for the patch.
    (closes: #756412)

 -- Bas Couwenberg <sebastic@xs4all.nl>  Tue, 29 Jul 2014 22:17:47 +0200

gdal (1.10.1+dfsg-6) unstable; urgency=medium

  [ gregor herrmann ]
  * Fix "hardcodes /usr/lib/perl5":
    - add patch perl-vendor which passes INSTALLDIRS=vendor to Makefile.PL
      which nicely drops perl files into suitable directories
    - remove all perl juggling around from debian/rules as a result of the
      patch
    - make debian/libgdal-perl.install executable and use $Config{vendorarch}
      there to install the perl files from the expected location
    (Closes: #752473)

 -- Bas Couwenberg <sebastic@xs4all.nl>  Tue, 08 Jul 2014 20:44:25 +0200

gdal (1.10.1+dfsg-5) unstable; urgency=medium

  * Don't run dh for custom targets.
  * Also remove config.log on clean.
  * Don't strip .py extension from python scripts, breaks QGIS plugins.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Wed, 02 Apr 2014 00:31:29 +0200

gdal (1.10.1+dfsg-4) unstable; urgency=medium

  * Add libcurl-ssl-dev as alternative to libcurl4-gnutls-dev.
    (closes: #741015)
  * Enable WebP image format support.
    (closes: #741004)
  * Add gbp.conf to use pristine-tar by default.
  * Drop lintian override for debian-watch-may-check-gpg-signature,
    shouldn't override pedantic tags.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Fri, 07 Mar 2014 21:58:55 +0100

gdal (1.10.1+dfsg-3) unstable; urgency=medium

  * Add patch to fix FTBFS on hurd-i386 which doesn't defined PATH_MAX.
  * Update symbols files for version 1.10.1.
  * Add script to assist with symbols file updates.
  * Add patch to fix 'suppress' typo in manpage.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Sat, 11 Jan 2014 06:36:16 +0100

gdal (1.10.1+dfsg-2) unstable; urgency=medium

  * Moved to libhdf5-dev b-d with the right versioning. 
    (closes: #689426)
  * Policy bumped to 3.9.5, no changes.
  * Added a Breaks for python-gdal vs gdal-bin due to gdal_retile.1 collision
    in pre-1.10 versions distributed in experimental. Just for safety.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed, 18 Dec 2013 13:10:55 +0100

gdal (1.10.1+dfsg-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Change priority to optional.

  [ Francesco Paolo Lovergine ]
  * Ready for unstable.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 10 Dec 2013 12:59:27 +0100

gdal (1.10.1+dfsg-0~exp1) experimental; urgency=low

  [ Bas Couwenberg ]
  * New upstream release.
  * Add myself to Uploaders.
  * Update watch file.
  * Remove data files with unclear rights.
    (closes: #721343)
  * Refresh patches.
  * Use canonical URLs for Vcs-* fields.
  * Update copyright.
  * Refer to quilt instead of dpatch, and fix typos in README.source.
  * Add patches to fix various typos.
  * Add lintian overrides for hyphen-used-as-minus-sign and
    manpage-has-errors-from-man, man pages are automatically generated
    with sphinx.
  * Use versioned Breaks/Replaces instead of Conflicts/Replaces.
  * Bump dephelper compatibility to 9.
  * Install java files with mode 644.
  * Exclude libgdal-java from dh_makeshlibs, doesn't install in default paths.
  * Add doc-base configuration for libgdal-doc.
  * Only install NEWS.Debian in libgdal-dev.
    (closes: #677693)
  * Reinstate doc patch, refresh and update to fix more links.
    (closes: #471198)
  * Drop temporary fix for #564243, doxygen doesn't generate files with extra
    underscores anymore.
  * Add patch to add a brief description to {gdal,ogr}_utilities documentation.
    (closes: #421653)
  * Drop ruby extension for ruby1.8 removal transition. See also: #684433.
    (closes: #722383)
  * Use minimal dh rules with dh-python, and dh-autoreconf for retooling.
  * Add patch to use hardening flags for java and perl bindings.
  * Install python scripts without .py extension.

  [ Francesco Paolo Lovergine ]
  * Added a missing manpages to python-gdal.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Thu, 03 Oct 2013 23:19:27 +0200

gdal (1.10.0-0~exp3) experimental; urgency=low

  * Added netcdf-bin build-dep to get nc-config, as required by current config.
  * Fixed gdalpaths patch for version 1.10.
  * Fixed symbols files to manage correctly library dependencies.
  * Added java support. Thanks Ezequiel Lara Gómez for the initial patch.
    Added a pair of new b-deps for that, along with two new patches java*.
    (closes: #628022)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed, 26 Jun 2013 11:19:15 +0200

gdal (1.10.0-0~exp2) experimental; urgency=low

  * Removed Provides: libgdal1 in debian/control.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 25 Jun 2013 16:30:39 +0200

gdal (1.10.0-0~exp1) experimental; urgency=low

  * Moved to new LIBKML driver instead of the old KML one. It has a much
    better support for complex KML files. (closes: #685695)
  * Merged NMU 1.9.0-3.1:
    Fix "FTBFS when ruby1.9.1 installed": force building with ruby1.8:
    set variables in debian/rules and new patch force-ruby1.8 to ruby1.8.
    Thanks to Cédric Boutillier for reviewing and testing this patch.
    (closes: #684433)
  * Added libarmadillo support.
  * Added TIFF/GEOTIFF symbols rename to definitively solve problem of
    symbol collisions for programs that both links geotiff/tiff libraries.
    This choice implies that the API does not include anymore any *tiff
    related functions: changed API declaration.
  * Policy bumped to 3.9.4. No changes required.
  * New upstream version with many fixes. All patches refreshed.
  	(closes: #679887)
  * Added a Breaks: libgdal1-1.6.0. I don't know if it still makes sense, 


=== debian/control ===
Source: gdal
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Francesco Paolo Lovergine <frankie@debian.org>,
           Bas Couwenberg <sebastic@xs4all.nl>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               autotools-dev,
               zlib1g-dev,
               libnetcdf-dev (>= 1:4.0.0),
               netcdf-bin,
               libjasper-dev,
               libpng-dev,
               libjpeg-dev,
               libgif-dev,
               libwebp-dev,
               libhdf4-alt-dev,
               libhdf5-dev (>= 1.8.8),
               libpq-dev,
               libxerces-c-dev,
               unixodbc-dev (>= 2.2.11),
               doxygen,
               d-shlibs,
               libgeos-dev,
               libmysqlclient-dev,
               dh-python,
               python-all-dev (>= 2.6.6-3~),
               python-numpy,
               python3-all-dev,
               python3-numpy,
               libcurl4-gnutls-dev | libcurl-ssl-dev,
               libsqlite3-dev,
               libogdi3.2-dev,
               chrpath,
               swig,
               patch,
               libexpat1-dev,
               libproj-dev,
               libdap-dev,
               libxml2-dev,
               libspatialite-dev (>= 2.4.0~rc2-4),
               libepsilon-dev (>= 0.9.1-1~),
               libpoppler-private-dev,
               liblzma-dev,
               libopenjpeg-dev,
               libarmadillo-dev,
               libfreexl-dev (>= 1.0.0),
               libkml-dev (>= 1.3.0~),
               liburiparser-dev,
               default-jdk,
               ant
Build-Conflicts: python-setuptools
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-grass/gdal.git
Vcs-Git: git://anonscm.debian.org/pkg-grass/gdal.git
Homepage: http://www.gdal.org/
X-Python3-Version: >= 3.2

Package: libgdal1h
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: proj-bin
Breaks: libgdal1 (<= 1.10.0-0~),
        libgdal1-1.6.0 (<= 1.10.0-0~)
Replaces: libgdal1 (<= 1.10.0-0~),
          libgdal1-1.6.0 (<= 1.10.0-0~)
Description: Geospatial Data Abstraction Library
 GDAL is a translator library for raster geospatial data formats.
 As a library, it presents a single abstract data model to the
 calling application for all supported formats. The related OGR
 library (which lives within the GDAL source tree) provides
 a similar capability for simple features vector data.
 .
 GDAL supports many popular data formats, including commonly used
 ones (GeoTIFF, JPEG, PNG and more) as well as the ones used in
 GIS and remote sensing software packages (ERDAS Imagine,
 ESRI Arc/Info, ENVI, PCI Geomatics). Also supported many remote
 sensing and scientific data distribution formats such as HDF,
 EOS FAST, NOAA L1B, NetCDF, FITS.
 .
 OGR library supports popular vector formats like ESRI Shapefile,
 TIGER data, S57, MapInfo File, DGN, GML and more.
 .
 This package contains the shared library.

Package: libgdal1-dev
Architecture: all
Section: libdevel
Depends: libgdal-dev,
         ${misc:Depends}
Description: Geospatial Data Abstraction Library - Transitional package
 GDAL is a translator library for raster geospatial data formats.
 As a library, it presents a single abstract data model to the
 calling application for all supported formats. The related OGR
 library (which lives within the GDAL source tree) provides
 a similar capability for simple features vector data.
 .
 GDAL supports many popular data formats, including commonly used
 ones (GeoTIFF, JPEG, PNG and more) as well as the ones used in
 GIS and remote sensing software packages (ERDAS Imagine,
 ESRI Arc/Info, ENVI, PCI Geomatics). Also supported many remote
 sensing and scientific data distribution formats such as HDF,
 EOS FAST, NOAA L1B, NetCDF, FITS.
 .
 OGR library supports popular vector formats like ESRI Shapefile,
 TIGER data, S57, MapInfo File, DGN, GML and more.
 .
 This is a transitional dummy package that depends on libgdal-dev 
 and is used to allow versioned build dependencies to work in 
 any build environment.

Package: libgdal-dev
Architecture: any
Section: libdevel
Depends: libgdal1h (= ${binary:Version}),
         libc6-dev,
         libnetcdf-dev,
         libjasper-dev,
         libpng-dev,
         libjpeg-dev,
         libgif-dev,
         libwebp-dev,
         libhdf4-alt-dev,
         libhdf5-dev,
         libpq-dev,
         libxerces-c-dev,
         unixodbc-dev,
         libsqlite3-dev,
         libgeos-dev,
         libmysqlclient-dev,
         libltdl-dev,
         libcurl4-gnutls-dev | libcurl-ssl-dev,
         libspatialite-dev,
         libdap-dev,
         ${misc:Depends}
Suggests: libgdal-doc
Breaks: libgdal1-dev (<< 1.9.0-1~)
Replaces: libgdal1-dev (<< 1.9.0-1~)
Description: Geospatial Data Abstraction Library - Development files
 GDAL is a translator library for raster geospatial data formats.
 As a library, it presents a single abstract data model to the
 calling application for all supported formats. The related OGR
 library (which lives within the GDAL source tree) provides
 a similar capability for simple features vector data.
 .
 GDAL supports many popular data formats, including commonly used
 ones (GeoTIFF, JPEG, PNG and more) as well as the ones used in
 GIS and remote sensing software packages (ERDAS Imagine,
 ESRI Arc/Info, ENVI, PCI Geomatics). Also supported many remote
 sensing and scientific data distribution formats such as HDF,
 EOS FAST, NOAA L1B, NetCDF, FITS.
 .
 OGR library supports popular vector formats like ESRI Shapefile,
 TIGER data, S57, MapInfo File, DGN, GML and more.
 .
 This package contains the files needed to develop a software that
 will use the GDAL/OGR (headers, static objects, configuration script). 

Package: libgdal-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: libgdal1h
Description: Documentation for the Geospatial Data Abstraction Library
 GDAL is a translator library for raster geospatial data formats.
 As a library, it presents a single abstract data model to the
 calling application for all supported formats. The related OGR
 library (which lives within the GDAL source tree) provides
 a similar capability for simple features vector data.
 .
 GDAL supports 40+ popular data formats, including commonly used
 ones (GeoTIFF, JPEG, PNG and more) as well as the ones used in
 GIS and remote sensing software packages (ERDAS Imagine,
 ESRI Arc/Info, ENVI, PCI Geomatics). Also supported many remote
 sensing and scientific data distribution formats such as HDF,
 EOS FAST, NOAA L1B, NetCDF, FITS.
 .
 OGR library supports popular vector formats like ESRI Shapefile,
 TIGER data, S57, MapInfo File, DGN, GML and more.
 .
 This package contains documentation for GDAL/OGR API.
Homepage: http://www.gdal.org/#index_userdocs

Package: gdal-bin
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: python-gdal
Breaks: gdal-bin (<< 1.10.0-0~)
Description: Geospatial Data Abstraction Library - Utility programs
 GDAL is a translator library for raster geospatial data formats.
 As a library, it presents a single abstract data model to the
 calling application for all supported formats. The related OGR
 library (which lives within the GDAL source tree) provides
 a similar capability for simple features vector data.
 .
 GDAL supports 40+ popular data formats, including commonly used
 ones (GeoTIFF, JPEG, PNG and more) as well as the ones used in
 GIS and remote sensing software packages (ERDAS Imagine,
 ESRI Arc/Info, ENVI, PCI Geomatics). Also supported many remote
 sensing and scientific data distribution formats such as HDF,
 EOS FAST, NOAA L1B, NetCDF, FITS.
 .
 OGR library supports popular vector formats like ESRI Shapefile,
 TIGER data, S57, MapInfo File, DGN, GML and more.
 .
 This package contains utility programs, based on GDAL/OGR library,
 namely gdal_translate, gdalinfo, gdaladdo, gdalwarp, ogr2ogr, ogrinfo,
 ogrtindex.
Homepage: http://www.gdal.org/gdal_utilities.html

Package: python-gdal
Architecture: any
Section: python
Depends: ${shlibs:Depends},
         ${python:Depends},
         python-numpy,
         ${misc:Depends}
Provides: ${python:Provides}
Description: Python bindings to the Geospatial Data Abstraction Library
 GDAL is a translator library for raster geospatial data formats.
 As a library, it presents a single abstract data model to the
 calling application for all supported formats. The related OGR
 library (which lives within the GDAL source tree) provides
 a similar capability for simple features vector data.
 .
 GDAL supports 40+ popular data formats, including commonly used
 ones (GeoTIFF, JPEG, PNG and more) as well as the ones used in
 GIS and remote sensing software packages (ERDAS Imagine,
 ESRI Arc/Info, ENVI, PCI Geomatics). Also supported many remote
 sensing and scientific data distribution formats such as HDF,
 EOS FAST, NOAA L1B, NetCDF, FITS.
 .
 OGR library supports popular vector formats like ESRI Shapefile,
 TIGER data, S57, MapInfo File, DGN, GML and more.
 .
 This package contains Python bindings for GDAL/OGR library and
 a set of additional command line tools.
Homepage: http://trac.osgeo.org/gdal/wiki/GdalOgrInPython

Package: python3-gdal
Architecture: any
Section: python
Depends: ${shlibs:Depends},
         ${python3:Depends},
         python3-numpy,
         ${misc:Depends}
Provides: ${python3:Provides}
Description: Python 3 bindings to the Geospatial Data Abstraction Library
 GDAL is a translator library for raster geospatial data formats.
 As a library, it presents a single abstract data model to the
 calling application for all supported formats. The related OGR
 library (which lives within the GDAL source tree) provides
 a similar capability for simple features vector data.
 .
 GDAL supports 40+ popular data formats, including commonly used
 ones (GeoTIFF, JPEG, PNG and more) as well as the ones used in
 GIS and remote sensing software packages (ERDAS Imagine,
 ESRI Arc/Info, ENVI, PCI Geomatics). Also supported many remote
 sensing and scientific data distribution formats such as HDF,
 EOS FAST, NOAA L1B, NetCDF, FITS.
 .
 OGR library supports popular vector formats like ESRI Shapefile,
 TIGER data, S57, MapInfo File, DGN, GML and more.
 .
 This package contains Python 3 bindings for GDAL/OGR library and
 a set of additional command line tools.
Homepage: http://trac.osgeo.org/gdal/wiki/GdalOgrInPython

Package: libgdal-perl
Architecture: any
Section: perl
Depends: ${shlibs:Depends},
         ${perl:Depends},
         ${misc:Depends}
Description: Perl bindings to the Geospatial Data Abstraction Library
 GDAL is a translator library for raster geospatial data formats.
 As a library, it presents a single abstract data model to the
 calling application for all supported formats. The related OGR
 library (which lives within the GDAL source tree) provides
 a similar capability for simple features vector data.
 .
 GDAL supports 40+ popular data formats, including commonly used
 ones (GeoTIFF, JPEG, PNG and more) as well as the ones used in
 GIS and remote sensing software packages (ERDAS Imagine,
 ESRI Arc/Info, ENVI, PCI Geomatics). Also supported many remote
 sensing and scientific data distribution formats such as HDF,
 EOS FAST, NOAA L1B, NetCDF, FITS.
 .
 OGR library supports popular vector formats like ESRI Shapefile,
 TIGER data, S57, MapInfo File, DGN, GML and more.
 .
 This package contains Perl bindings for GDAL/OGR library.
Homepage: http://map.hut.fi/doc/Geo-GDAL/html/

Package: libgdal-java
Architecture: any
Section: java
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Java bindings to the Geospatial Data Abstraction Library
 GDAL is a translator library for raster geospatial data formats.
 As a library, it presents a single abstract data model to the

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#
# Original debian package by Alessandro Amici 2002-2003.
# Currently maintained by DebianGis contributors.
# Based on: GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PYVERS=$(shell pyversions -v -r debian/control) $(shell py3versions -v -r)
PYDEF=$(shell pyversions -dv)
PERLDEF=$(shell perl -V:version|cut -d\' -f2)
SWIGVER=$(shell swig -version |grep Version|cut -d' ' -f3|sed -e 's/\.//g')

GDALVER=$(shell cat VERSION|sed -e 's/\./ /g')
GDAL_MAJOR=$(word 1,$(GDALVER))
GDAL_MINOR=$(word 2,$(GDALVER))
GDAL_PATCH=$(word 3,$(GDALVER))

ifneq ($(wildcard /usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/serial/libhdf5.so),)
  WITH_HDF5:=--with-hdf5=/usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/serial
else
  WITH_HDF5:=
endif

versions:
	@echo Gdal version: $(GDAL_MAJOR).$(GDAL_MINOR).$(GDAL_PATCH)
	@echo Swig version: $(SWIGVER)
	@echo Python default: $(PYDEF)
	@echo Python versions: $(PYVERS)
	@echo Perl default: $(PERLDEF)

#
# The following targets are useful to autogen independent plugins sources
#
gdal-grass: override_dh_auto_configure gdal-grass-dist override_dh_auto_clean override_dh_clean
gdal-grass-dist:
	ln -fs $(CURDIR)/GDALmake.opt-$(PYDEF) $(CURDIR)/GDALmake.opt
	[ -e $(CURDIR)/GDALmake.opt ] && $(MAKE) -C $(CURDIR)/frmts/grass dist
	mv $(CURDIR)/frmts/grass/libgdal-grass-*.tar.gz $(CURDIR)/..
	rm -f $(CURDIR)/GDALmake.opt

gdal-ecw: override_dh_auto_configure gdal-ecw-dist override_dh_auto_clean override_dh_clean
gdal-ecw-dist:
	ln -fs $(CURDIR)/GDALmake.opt-$(PYDEF) $(CURDIR)/GDALmake.opt
	[ -e $(CURDIR)/GDALmake.opt ] && $(MAKE) -C $(CURDIR)/frmts/ecw dist
	mv $(CURDIR)/frmts/ecw/libgdal-ecw-*.tar.gz $(CURDIR)/..
	rm -f $(CURDIR)/GDALmake.opt

gdal-mrsid: override_dh_auto_configure gdal-mrsid-dist override_dh_auto_clean override_dh_clean
gdal-mrsid-dist:
	ln -fs $(CURDIR)/GDALmake.opt-$(PYDEF) $(CURDIR)/GDALmake.opt
	[ -e $(CURDIR)/GDALmake.opt ] && $(MAKE) -C $(CURDIR)/frmts/mrsid dist
	mv $(CURDIR)/frmts/mrsid/libgdal-mrsid-*.tar.gz $(CURDIR)/..
	rm -f $(CURDIR)/GDALmake.opt

%:
	if [ "$@" != "gdal-grass" -a "$@" != "gdal-ecw" -a "$@" != "gdal-mrsid" ]; then \
		dh $@ --with autotools_dev,autoreconf,python2,python3 ; \
	fi

override_dh_clean:
	dh_clean config.log

override_dh_auto_clean:
	[ ! -f GDALmake.opt ] || $(MAKE) distclean
	rm -rf $(CURDIR)/swig/perl/*.bs
	rm -rf $(CURDIR)/swig/java/*.so $(CURDIR)/swig/java/*.o $(CURDIR)/swig/java/build/ $(CURDIR)/swig/java/*.jar $(CURDIR)/swig/java/.libs
	rm -rf $(CURDIR)/.libs
	rm -f GDALmake.opt-*
	rm -rf $(CURDIR)/debian/tmp $(CURDIR)/debian/python-tmp
	rm -rf $(CURDIR)/doc/br/html $(CURDIR)/doc/ru/html
	rm -rf $(CURDIR)/frmts/o/.libs
	rm -f  $(CURDIR)/islibdappost310.*

	# Removes per arch symbols for compatible archs
	rm -f $(CURDIR)/debian/libgdal*.symbols.kfreebsd-i386 $(CURDIR)/debian/libgdal*.symbols.kfreebsd-amd64

override_dh_auto_configure:
	for V in $(PYVERS); do \
		PYTHON=/usr/bin/python$$V ./configure --prefix=/usr \
			--mandir=\$$\{prefix\}/share/man \
			--includedir=\$$\{prefix\}/include/gdal \
			--with-threads \
			--with-grass=no \
			--with-hide-internal-symbols=yes \
			--with-rename-internal-libtiff-symbols=yes \
			--with-rename-internal-libgeotiff-symbols=yes \
			--with-libtiff=internal \
			--with-geotiff=internal \
			--with-webp \
			--with-jasper \
			--with-netcdf \
			$(WITH_HDF5) \
			--with-xerces \
			--with-geos \
			--with-sqlite3 \
			--with-curl \
			--with-pg \
			--with-mysql \
			--with-perl \
			--with-ruby=no \
			--with-java=/usr/lib/jvm/default-java \
			--with-python \
			--with-odbc \
			--with-ogdi \
			--with-dods-root=/usr \
			--with-static-proj4=yes \
			--with-spatialite=/usr \
			--with-cfitsio=no \
			--with-ecw=no \
			--with-mrsid=no \
			--with-poppler=yes \
			--with-openjpeg=yes \
			--with-freexl=yes \
			--with-libkml=yes \
			--with-armadillo=yes \
			--with-liblzma=yes \
			--with-epsilon=/usr; \
		mv GDALmake.opt GDALmake.opt-$$V; \
	done

override_dh_auto_build:
	cp `ls GDALmake.opt-*|tail -1` GDALmake.opt
	$(MAKE) lib-target apps-target
	rm -rf $(CURDIR)/swig/perl/*.c  $(CURDIR)/swig/perl/*.cpp
	$(MAKE) -C $(CURDIR)/swig/perl generate build
	$(MAKE) -C $(CURDIR)/swig/java clean generate build

	# It needs pre-installing just after the building due to intermediate cleaning.
	# Apply conditionally an on-fly patch for pre 1.3.38 swig versions.
	for V in $(PYVERS); do \
		cp GDALmake.opt-$$V GDALmake.opt; \
		$(MAKE) -C $(CURDIR)/swig/python clean; \
		$(MAKE) -C $(CURDIR)/swig/python generate build; \
		$(MAKE) -C $(CURDIR)/swig/python install DESTDIR=$(CURDIR)/debian/python-tmp; \
	done

	mkdir $(CURDIR)/html || true
	$(MAKE) docs
	$(MAKE) man

override_dh_auto_install:
	cp `ls GDALmake.opt-*|tail -1` GDALmake.opt
	$(MAKE) install BINDINGS="perl java" DESTDIR=$(CURDIR)/debian/tmp \
			INST_DATA="\$$(prefix)/share/gdal/$(GDAL_MAJOR).$(GDAL_MINOR)"
	$(MAKE) install-docs DESTDIR=$(CURDIR)/debian/tmp \
		"INST_DOCS=\$$(prefix)/share/doc/libgdal-doc"\
		"INST_MAN=\$$(prefix)/share/man"
	$(MAKE) install-man DESTDIR=$(CURDIR)/debian/tmp \
		"INST_DOCS=\$$(prefix)/share/doc/libgdal-doc"\
		"INST_MAN=\$$(prefix)/share/man"

	# install python stuff previuosly built and pre-installed
	cp -a $(CURDIR)/debian/python-tmp/usr/lib/* $(CURDIR)/debian/tmp/usr/lib/.
	install -o root -g root -d $(CURDIR)/debian/tmp/usr/bin
	install -o root -g root -m 755 $(CURDIR)/swig/python/scripts/*.py $(CURDIR)/debian/tmp/usr/bin/.

	# java stuff
	mkdir -p $(CURDIR)/debian/tmp/usr/share/java $(CURDIR)/debian/tmp/usr/lib/jni
	install -o root -g root -m 644 $(CURDIR)/swig/java/gdal.jar $(CURDIR)/debian/tmp/usr/share/java/.
	install -o root -g root -m 644 $(CURDIR)/swig/java/*jni.so* $(CURDIR)/debian/tmp/usr/lib/jni

	# removing useless autogenerated man pages
	rm -f $(CURDIR)/debian/tmp/usr/share/man/man1/_*_apps_.1

	# removing license file
	rm -f $(CURDIR)/debian/tmp/usr/share/gdal/$(GDAL_MAJOR).$(GDAL_MINOR)/LICENSE.TXT

	# removing la file
	rm -f $(CURDIR)/debian/tmp/usr/lib/libgdal.la
	
	# removing embedded rpath in main lib
	-find $(CURDIR)/debian/tmp/usr/lib -type f -name "*.so*" -exec chrpath --delete {} \;

	# copy sample programs for python-gdal
	install -o root -g root -d $(CURDIR)/debian/tmp/usr/share/doc/python-gdal/examples
	install -o root -g root -m 755 $(CURDIR)/swig/python/samples/*.py $(CURDIR)/debian/tmp/usr/share/doc/python-gdal/examples/.

	# create lintian overrides file
	echo "# TIFF/GEOTIFF symbols are renamed to definitively solve problem of" >> $(CURDIR)/debian/libgdal1h.lintian-overrides
	echo "# symbol collisions for programs that both links geotiff/tiff libraries." >> $(CURDIR)/debian/libgdal1h.lintian-overrides
	echo "libgdal1h: package-name-doesnt-match-sonames libgdal1" >> $(CURDIR)/debian/libgdal1h.lintian-overrides

	echo >> $(CURDIR)/debian/libgdal1h.lintian-overrides
	echo "# Used for BigTIFF support (#501127)" >> $(CURDIR)/debian/libgdal1h.lintian-overrides
	echo "libgdal1h: embedded-library usr/lib/libgdal.so.$$(basename debian/tmp/usr/lib/libgdal.so.*.*.*|cut -d. -f3,4,5): tiff" \
		>> $(CURDIR)/debian/libgdal1h.lintian-overrides

	echo >> $(CURDIR)/debian/libgdal1h.lintian-overrides
	echo "# False positive on: {136, "Socialist Republic of Viet Nam"}," >> $(CURDIR)/debian/libgdal1h.lintian-overrides
	echo "libgdal1h: spelling-error-in-binary usr/lib/libgdal.so.$$(basename debian/tmp/usr/lib/libgdal.so.*.*.*|cut -d. -f3,4,5) Nam Name" \
		>> $(CURDIR)/debian/libgdal1h.lintian-overrides

override_dh_install:
	dh_install --autodest --list-missing

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_python2:
	dh_python2 -X.info -ppython-gdal
	dh_numpy

override_dh_python3:
	dh_python3 -X.info -ppython3-gdal
	dh_numpy3

override_dh_makeshlibs:
	# Adds per arch symbols for compatible archs
	ln -f $(CURDIR)/debian/libgdal*.symbols.i386 $(CURDIR)/debian/libgdal1h.symbols.kfreebsd-i386

=== debian/watch ===
version=3
opts=dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \
http://trac.osgeo.org/gdal/wiki/DownloadSource \
(?:|.*/)gdal(?:[_\-]v?|)(\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz) \
debian debian/get-orig-source

## gdal 1.11.1+dfsg

=== debian/changelog ===
gdal (1.11.1+dfsg-1~exp2) experimental; urgency=medium

  * Set experimental branch in Vcs-Git and gbp.conf.
  * Update symbols for amd64, armel, armhf, i386, mips, mipsel, powerpc,
    s390x & sparc.
  * Don't exclude libhdf4-alt-dev from build dependencies on ppc64.
  * Update gdal-symbols.pl to also generate symbols files for new
    architectures.
  * Add symbols files for alpha, arm64, hppa, hurd-i386,
    kfreebsd-amd64, kfreebsd-i386, ppc64, ppc64el & x32.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Fri, 07 Nov 2014 20:53:35 +0100

gdal (1.11.1+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Bump Standards-Version to 3.9.6, no changes.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Sat, 11 Oct 2014 18:11:56 +0200

gdal (1.11.0+dfsg1-1~exp5) experimental; urgency=medium

  * Use alternative dependency template for C++ symbols in libgdal1h.
  * Update path in copyright file, ogrvrt.xsd moved to data directory.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Wed, 10 Sep 2014 20:27:35 +0200

gdal (1.11.0+dfsg1-1~exp4) experimental; urgency=medium

  * Merge changes from 1.10.1+dfsg-8 to support new hdf5 packaging layout.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Fri, 01 Aug 2014 00:08:50 +0200

gdal (1.11.0+dfsg1-1~exp3) experimental; urgency=medium

  * Merge changes from 1.10.1+dfsg-7 to include patch by Breno Leitao.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Tue, 29 Jul 2014 22:40:29 +0200

gdal (1.11.0+dfsg1-1~exp2) experimental; urgency=low

  [ Marc Deslauriers ]
  * Fix ftbfs on arm64 and ppc64el.

  [ Bas Couwenberg ]
  * Simplify repacking with tar --delete.
  * Update symbols for: amd64, armel, armhf, i386, mips, mipsel, powerpc &
    s390x.
  * Bump repacked upstream version, repacking was fixed to not delete the
    .gitignore file included by upstream.
  * Merge changes from 1.10.1+dfsg-6 to include patch by gregor herrmann.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Wed, 09 Jul 2014 00:32:07 +0200

gdal (1.11.0+dfsg-1~exp1) experimental; urgency=low

  * New upstream release.
  * Update copyright file.
  * Drop patch: man, applied upstream.
  * Drop patch: unkown-typo, applied upstream.
  * Drop patch: hurd-i386-pathmax, file removed upstream.
  * Refresh patches.
  * Update install paths for new upstream version.
  * Add libpcre3-dev build dependency.
  * Don't use -Werror=format-security, causes build failure on
    ogrsxfdatasource.cpp.
  * Add patch to fix 'recommended' typo.
  * Update typo patches.
  * Install JNI libraries in /usr/lib/jni instead of /usr/lib.
  * Fix man page install.
  * Also include gdal.pc in dev package.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Sun, 04 May 2014 18:13:46 +0200

=== debian/control ===
--- 
+++ 
@@ -17,6 +17,7 @@
                libwebp-dev,
                libhdf4-alt-dev,
                libhdf5-dev (>= 1.8.8),
+               libpcre3-dev,
                libpq-dev,
                libxerces-c-dev,
                unixodbc-dev (>= 2.2.11),
@@ -51,9 +52,9 @@
                default-jdk,
                ant
 Build-Conflicts: python-setuptools
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-grass/gdal.git
-Vcs-Git: git://anonscm.debian.org/pkg-grass/gdal.git
+Vcs-Git: git://anonscm.debian.org/pkg-grass/gdal.git -b experimental
 Homepage: http://www.gdal.org/
 X-Python3-Version: >= 3.2
 
@@ -67,6 +68,7 @@
         libgdal1-1.6.0 (<= 1.10.0-0~)
 Replaces: libgdal1 (<= 1.10.0-0~),
           libgdal1-1.6.0 (<= 1.10.0-0~)
+Provides: libgdal.so.1-1.11.1
 Description: Geospatial Data Abstraction Library
  GDAL is a translator library for raster geospatial data formats.
  As a library, it presents a single abstract data model to the
@@ -123,7 +125,7 @@
          libjpeg-dev,
          libgif-dev,
          libwebp-dev,
-         libhdf4-alt-dev,
+         libhdf4-alt-dev [!arm64 !ppc64 !ppc64el],
          libhdf5-dev,
          libpq-dev,
          libxerces-c-dev,
@@ -303,4 +305,3 @@
          ${misc:Depends}
 Description: Java bindings to the Geospatial Data Abstraction Library
  GDAL is a translator library for raster geospatial data formats.
- As a library, it presents a single abstract data model to the

=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,13 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+# Remove -Werror=format-security, causes build failure on ogrsxfdatasource.cpp
+CFLAGS   = $(shell dpkg-buildflags --get CFLAGS)
+CXXFLAGS = $(shell dpkg-buildflags --get CXXFLAGS)
+
+CFLAGS   := $(filter-out -Werror=format-security, $(CFLAGS))
+CXXFLAGS := $(filter-out -Werror=format-security, $(CXXFLAGS))
 
 PYVERS=$(shell pyversions -v -r debian/control) $(shell py3versions -v -r)
 PYDEF=$(shell pyversions -dv)
@@ -73,9 +80,6 @@
 	rm -rf $(CURDIR)/doc/br/html $(CURDIR)/doc/ru/html
 	rm -rf $(CURDIR)/frmts/o/.libs
 	rm -f  $(CURDIR)/islibdappost310.*
-
-	# Removes per arch symbols for compatible archs
-	rm -f $(CURDIR)/debian/libgdal*.symbols.kfreebsd-i386 $(CURDIR)/debian/libgdal*.symbols.kfreebsd-amd64
 
 override_dh_auto_configure:
 	for V in $(PYVERS); do \
@@ -117,7 +121,8 @@
 			--with-libkml=yes \
 			--with-armadillo=yes \
 			--with-liblzma=yes \
-			--with-epsilon=/usr; \
+			--with-epsilon=/usr \
+			CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)"; \
 		mv GDALmake.opt GDALmake.opt-$$V; \
 	done
 
@@ -160,7 +165,7 @@
 	# java stuff
 	mkdir -p $(CURDIR)/debian/tmp/usr/share/java $(CURDIR)/debian/tmp/usr/lib/jni
 	install -o root -g root -m 644 $(CURDIR)/swig/java/gdal.jar $(CURDIR)/debian/tmp/usr/share/java/.
-	install -o root -g root -m 644 $(CURDIR)/swig/java/*jni.so* $(CURDIR)/debian/tmp/usr/lib/jni
+	install -o root -g root -m 644 $(CURDIR)/debian/tmp/usr/lib/*jni.so* $(CURDIR)/debian/tmp/usr/lib/jni
 
 	# removing useless autogenerated man pages
 	rm -f $(CURDIR)/debian/tmp/usr/share/man/man1/_*_apps_.1
@@ -207,6 +212,3 @@
 	dh_python3 -X.info -ppython3-gdal
 	dh_numpy3
 
-override_dh_makeshlibs:
-	# Adds per arch symbols for compatible archs
-	ln -f $(CURDIR)/debian/libgdal*.symbols.i386 $(CURDIR)/debian/libgdal1h.symbols.kfreebsd-i386

## gdal 1.11.2+dfsg

=== debian/changelog ===
gdal (1.11.2+dfsg-1~exp3ubuntu6) wily; urgency=medium

  * Build harder without spatialite.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 05 Aug 2015 16:03:43 +0200

gdal (1.11.2+dfsg-1~exp3ubuntu5) wily; urgency=medium

  * Build without spatialite.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 05 Aug 2015 16:00:23 +0200

gdal (1.11.2+dfsg-1~exp3ubuntu4) wily; urgency=medium

  * No-change rebuild.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 05 Aug 2015 15:15:07 +0200

gdal (1.11.2+dfsg-1~exp3ubuntu3) wily; urgency=medium

  * No-change rebuild against libdap17v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 04 Aug 2015 16:50:56 +0000

gdal (1.11.2+dfsg-1~exp3ubuntu2) wily; urgency=medium

  * No-change rebuild for python3.5 transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 28 Jul 2015 01:52:25 +0000

gdal (1.11.2+dfsg-1~exp3ubuntu1) wily; urgency=medium

  * debian/patches/0001-PDF-add-compatibility-with-Poppler-0.31.0.patch:
    Cherry-pick upstream patch to fix compatiblity with poppler ≥ 0.31.

 -- Iain Lane <iain@orangesquash.org.uk>  Tue, 23 Jun 2015 15:23:55 +0100

gdal (1.11.2+dfsg-1~exp3build1) wily; urgency=medium

  * No-change rebuild against new poppler

 -- Iain Lane <iain@orangesquash.org.uk>  Tue, 23 Jun 2015 12:29:00 +0100

gdal (1.11.2+dfsg-1~exp3) experimental; urgency=medium

  * Use packaged jquery.js instead of Doxygen copy.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 23 May 2015 16:43:16 +0200

gdal (1.11.2+dfsg-1~exp2) experimental; urgency=medium

  * Update symbols for amd64, arm64, armel, armhf, hurd-i386, i386,
    kfreebsd-amd64, kfreebsd-i386, mipsel, powerpc, ppc64el, s390x, sparc &
    x32.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 20 Feb 2015 14:56:48 +0100

gdal (1.11.2+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Add upstream metadata.
  * Have python*-gdal suggest gdal-bin.
    (closes: #774243)
  * Update my email to @debian.org address.
  * Drop get-orig-source script in favor of uscan + Files-Excluded.
  * Refresh patches.
  * Update Vcs-Browser URL to use cgit instead of gitweb.
  * Update copyright file, group files & copyright by license.
  * Update openjpeg build dependency from 1.5 to 2.1.
    (closes: #761957)

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 19 Feb 2015 22:24:13 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: gdal
-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Francesco Paolo Lovergine <frankie@debian.org>,
-           Bas Couwenberg <sebastic@xs4all.nl>
+           Bas Couwenberg <sebastic@debian.org>
 Section: science
 Priority: optional
 Build-Depends: debhelper (>= 9),
@@ -40,11 +41,10 @@
                libproj-dev,
                libdap-dev,
                libxml2-dev,
-               libspatialite-dev (>= 2.4.0~rc2-4),
                libepsilon-dev (>= 0.9.1-1~),
                libpoppler-private-dev,
                liblzma-dev,
-               libopenjpeg-dev,
+               libopenjp2-7-dev,
                libarmadillo-dev,
                libfreexl-dev (>= 1.0.0),
                libkml-dev (>= 1.3.0~),
@@ -53,7 +53,7 @@
                ant
 Build-Conflicts: python-setuptools
 Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-grass/gdal.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-grass/gdal.git
 Vcs-Git: git://anonscm.debian.org/pkg-grass/gdal.git -b experimental
 Homepage: http://www.gdal.org/
 X-Python3-Version: >= 3.2
@@ -68,7 +68,7 @@
         libgdal1-1.6.0 (<= 1.10.0-0~)
 Replaces: libgdal1 (<= 1.10.0-0~),
           libgdal1-1.6.0 (<= 1.10.0-0~)
-Provides: libgdal.so.1-1.11.1
+Provides: libgdal.so.1-1.11.2
 Description: Geospatial Data Abstraction Library
  GDAL is a translator library for raster geospatial data formats.
  As a library, it presents a single abstract data model to the
@@ -164,7 +164,8 @@
 Package: libgdal-doc
 Architecture: all
 Section: doc
-Depends: ${misc:Depends}
+Depends: libjs-jquery,
+         ${misc:Depends}
 Suggests: libgdal1h
 Description: Documentation for the Geospatial Data Abstraction Library
  GDAL is a translator library for raster geospatial data formats.
@@ -221,6 +222,7 @@
          ${python:Depends},
          python-numpy,
          ${misc:Depends}
+Suggests: gdal-bin
 Provides: ${python:Provides}
 Description: Python bindings to the Geospatial Data Abstraction Library
  GDAL is a translator library for raster geospatial data formats.
@@ -250,6 +252,7 @@
          ${python3:Depends},
          python3-numpy,
          ${misc:Depends}
+Suggests: gdal-bin
 Provides: ${python3:Provides}
 Description: Python 3 bindings to the Geospatial Data Abstraction Library
  GDAL is a translator library for raster geospatial data formats.
@@ -303,5 +306,3 @@
 Section: java
 Depends: ${shlibs:Depends},
          ${misc:Depends}
-Description: Java bindings to the Geospatial Data Abstraction Library
- GDAL is a translator library for raster geospatial data formats.

=== debian/rules ===
--- 
+++ 
@@ -111,7 +111,6 @@
 			--with-ogdi \
 			--with-dods-root=/usr \
 			--with-static-proj4=yes \
-			--with-spatialite=/usr \
 			--with-cfitsio=no \
 			--with-ecw=no \
 			--with-mrsid=no \
@@ -175,7 +174,10 @@
 
 	# removing la file
 	rm -f $(CURDIR)/debian/tmp/usr/lib/libgdal.la
-	
+
+	# Remove doxygen jquery.js copy in favor of libjs-jquery
+	rm -f $(CURDIR)/debian/*/usr/share/doc/libgdal-doc/*/jquery.js
+
 	# removing embedded rpath in main lib
 	-find $(CURDIR)/debian/tmp/usr/lib -type f -name "*.so*" -exec chrpath --delete {} \;
 
@@ -205,10 +207,3 @@
 	dh_installchangelogs NEWS
 
 override_dh_python2:
-	dh_python2 -X.info -ppython-gdal
-	dh_numpy
-
-override_dh_python3:
-	dh_python3 -X.info -ppython3-gdal
-	dh_numpy3
-
